#
# spec file for package freexl
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover   1
%define libname lib%{name}%{sover}
Name:           freexl
Version:        1.0.4
Release:        5.1
Summary:        Library to extract valid data from within an Excel
License:        MPL-1.1 OR GPL-2.0+ OR LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            https://www.gaia-gis.it/fossil/freexl/index
Source:         http://www.gaia-gis.it/gaia-sins/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig

%description
FreeXL is an open source library to extract valid data from within an Excel
(.xls) spreadsheet.

%package -n %{libname}
Summary:        Shared library for FreeXL
Group:          System/Libraries

%description -n %{libname}
FreeXL is an open source library to extract valid data from within an Excel
(.xls) spreadsheet.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Requires:       glibc-devel
Requires:       pkgconfig

%description devel
This package contains all necessary include files and libraries needed to
compile and develop applications that use libspatialite.

%prep
%setup -q

%build
%configure \
  --disable-static
make %{?_smp_mflags}

%check
make check %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n lib%{name}1
%doc AUTHORS COPYING README
%{_libdir}/libfreexl.so.%{sover}*

%files devel
%doc AUTHORS COPYING README
%{_includedir}/freexl.h
%{_libdir}/libfreexl.so
%{_libdir}/pkgconfig/freexl.pc

%changelog
* Wed Sep 13 2017 mpluskal@suse.com
- Update to version 1.0.4:
  * No chagelog provided by upstream
  * CVE-2017-2924 (boo#1058433) from 1.0.3 is fixed
  * CVE-2017-2923 (boo#1058431) from 1.0.3 is fixed
- Small packaging cleanup
* Mon Jun 27 2016 mpluskal@suse.com
- Drop html documentation
- Small spec file cleanups
- Referencing security issues fixed in 1.0.1
* Sat Oct 31 2015 mpluskal@suse.com
- Update to 1.0.2
  * no changelog provided by upstream
* Mon Apr 20 2015 opensuse@dstoecker.de
- update to 1.0.1 (boo#986614)
  * CVE-2015-2753: denial of service (stack corruption) or possibly
    execution of arbitrary code via a crafted sector
    in a workbook
  * CVE-2015-2754: denial of service (stack corruption) and possibly
    execution of arbitrary code via a crafted
    workbook, related to a "premature EOF."
  * CVE-2015-2776: denial of service (memory consumption) via a
    crafted shared strings table in a workbook.
* Sat Mar  7 2015 mpluskal@suse.com
- Update to 1.0.0i
  * no changelog provided by upstream
* Wed Feb  4 2015 mpluskal@suse.com
- Update licence information (MPL-1.1 or GPL-2.0+ or LGPL-2.1+)
- Remove static library.
* Mon Feb  2 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Enable tests execution during build
- Build documentation
- Update to 1.0.0h (no changelog provided by upstream
* Sun Jul  7 2013 tzotsos@opensuse.org
- update to 1.0.0e
* Sat Aug 11 2012 opensuse@dstoecker.de
- update to 1.0.0d
* Tue Mar  6 2012 tzotsos@opensuse.org
- Initial build
